package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Regestration_form;
import com.realnet.basicp1.Services.Regestration_formService ;














@RequestMapping(value = "/Regestration_form")
 @CrossOrigin("*") 
@RestController
public class Regestration_formController {
	@Autowired
	private Regestration_formService Service;

@Value("${projectPath}")
	private String projectPath;
 














	@PostMapping("/Regestration_form")
		  public Regestration_form Savedata(@RequestBody Regestration_form data) {
		Regestration_form save = Service.Savedata(data)	;













		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Regestration_form/{id}")
	public  Regestration_form update(@RequestBody Regestration_form data,@PathVariable Integer id ) {
		Regestration_form update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Regestration_form/getall/page")
	public Page<Regestration_form> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Regestration_form> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Regestration_form")
	public List<Regestration_form> getdetails() {
		 List<Regestration_form> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Regestration_form")
	public List<Regestration_form> getallwioutsec() {
		 List<Regestration_form> get = Service.getdetails();		
		return get;
}
@GetMapping("/Regestration_form/{id}")
	public  Regestration_form  getdetailsbyId(@PathVariable Integer id ) {
		Regestration_form  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Regestration_form/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}















}